| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::LodOutputProviderBuffer Class Reference

`#include <OgreLodOutputProviderBuffer.h>`

Inheritance diagram for Ogre::LodOutputProviderBuffer:
[legend]

## Public Member Functions
| LodOutputProviderBuffer (MeshPtr mesh)
virtual void | bakeLodLevel (LodData *data, int lodIndex)
virtual void | bakeManualLodLevel (LodData *data, String &manualMeshName, int lodIndex)
virtual void | finalize (LodData *data)
LodOutputBuffer & | getBuffer ()
virtual void | inject ()
virtual void | prepare (LodData *data)
virtual void | triangleChanged (LodData *data, LodData::Triangle *tri)
virtual void | triangleRemoved (LodData *data, LodData::Triangle *tri)

## Constructor & Destructor Documentation

## ◆ LodOutputProviderBuffer()

Ogre::LodOutputProviderBuffer::LodOutputProviderBuffer | ( | MeshPtr | mesh | ) |
| inline

## Member Function Documentation

## ◆ prepare()

virtual void Ogre::LodOutputProviderBuffer::prepare | ( | LodData * | data | ) |
| virtual

Implements Ogre::LodOutputProvider.

## ◆ finalize()

virtual void Ogre::LodOutputProviderBuffer::finalize | ( | LodData * | data | ) |
| inline virtual

Implements Ogre::LodOutputProvider.

## ◆ bakeManualLodLevel()

virtual void Ogre::LodOutputProviderBuffer::bakeManualLodLevel | ( | LodData * | data,
|  | String & | manualMeshName,
|  | int | lodIndex
| ) |  |
| virtual

Implements Ogre::LodOutputProvider.

## ◆ bakeLodLevel()

virtual void Ogre::LodOutputProviderBuffer::bakeLodLevel | ( | LodData * | data,
|  | int | lodIndex
| ) |  |
| virtual

Implements Ogre::LodOutputProvider.

## ◆ inject()

virtual void Ogre::LodOutputProviderBuffer::inject | ( |  | ) |
| virtual

Reimplemented from Ogre::LodOutputProvider.

## ◆ getBuffer()

LodOutputBuffer& Ogre::LodOutputProviderBuffer::getBuffer | ( |  | ) |

## ◆ triangleRemoved()

virtual void Ogre::LodOutputProvider::triangleRemoved | ( | LodData * | data,
|  | LodData::Triangle * | tri
| ) |  |
| inline virtual inherited

Reimplemented in Ogre::LodOutputProviderCompressedMesh.

## ◆ triangleChanged()

virtual void Ogre::LodOutputProvider::triangleChanged | ( | LodData * | data,
|  | LodData::Triangle * | tri
| ) |  |
| inline virtual inherited

Reimplemented in Ogre::LodOutputProviderCompressedMesh.

The documentation for this class was generated from the following file:

- OgreLodOutputProviderBuffer.h